## org.jboss.ejb.plugins.jrmp12.interfaces
Class HomeProxy

    java.lang.Object
      |
      +--org.jboss.ejb.plugins.jrmp.interfaces.GenericProxy
            |
            +--org.jboss.ejb.plugins.jrmp.interfaces.HomeProxy
                  |
                  +--org.jboss.ejb.plugins.jrmp12.interfaces.HomeProxy

All Implemented Interfaces:
  java.io.Externalizable, InvocationHandler, java.io.Serializable

public class HomeProxy
extends HomeProxy
implements InvocationHandler

<description>

Version:
  $Revision: 1.6 $
Author:
  Rickard Öberg (rickard.oberg@telkel.com), Marc Fleury
See Also:
  <related>, Serialized Form

Fields inherited from class org.jboss.ejb.plugins.jrmp.interfaces.HomeProxy
`ejbMetaData, GET_EJB_META_DATA, GET_HOME_HANDLE, REMOVE_BY_HANDLE, REMOVE_BY_PRIMARY_KEY, REMOVE_OBJECT`

Fields inherited from class org.jboss.ejb.plugins.jrmp.interfaces.GenericProxy
`container, EMPTY_ARGS, EQUALS, HASH_CODE, initialContextHandle, name, optimize, TO_STRING, tpcFactory`

Constructor Summary
`HomeProxy()`
`HomeProxy(java.lang.String name, javax.ejb.EJBMetaData ejbMetaData, ContainerRemote container, boolean optimize)`

Methods inherited from class org.jboss.ejb.plugins.jrmp.interfaces.HomeProxy
`invoke, readExternal, writeExternal`

Methods inherited from class org.jboss.ejb.plugins.jrmp.interfaces.GenericProxy
`addLocal, createInitialContext, createMarshalledObject, getCredential, getPrincipal, getTransaction, getTransactionPropagationContext, invokeContainer, isLocal, removeLocal, setTPCFactory, setTransactionManager`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.proxy.InvocationHandler
`invoke`

Constructor Detail

### HomeProxy

    public HomeProxy()

### HomeProxy

    public HomeProxy(java.lang.String name,
                     javax.ejb.EJBMetaData ejbMetaData,
                     ContainerRemote container,
                     boolean optimize)

Copyright © 2000 The JBoss Organization. All Rights Reserved.